Description: Remove some debug printed on stdout, disable explicit -O2 and NDEBUG
Last-Update: 2019-08-27

--- a/src/HexEditor.cpp
+++ b/src/HexEditor.cpp
@@ -42,9 +42,11 @@
 	tagpanel(tagpanel_),
 	dasmpanel(dasmpanel_) {
 	ComparatorHexEditor=NULL;
+    #if 0
 	// Here, code praying to the GOD for protecting our open file from wxHexEditor's bugs and other things.
 	// This is really crucial step! Be adviced to not remove it, even if you don't believer.
 	printf("Rahman ve Rahim olan Allah'ın adıyla.\n");
+    #endif
 	myfile = NULL;
 #ifndef DO_NOT_USE_THREAD_FOR_SCROLL
 	myscrollthread = NULL;
--- a/src/HexEditorCtrl/HexEditorCtrl.h
+++ b/src/HexEditorCtrl/HexEditorCtrl.h
@@ -66,7 +66,9 @@
 		void SetState( bool new_state ){
 			state = new_state;
 
+			#if 0
 			std::cout << "Send UpdateUI Event" << std::endl;
+			#endif
 			wxUpdateUIEvent event;
 			if( new_state )
 				event.SetString( wxT("Selected") );
--- a/src/HexEditorFrame.cpp
+++ b/src/HexEditorFrame.cpp
@@ -509,7 +509,9 @@
 	}
 
 void HexEditorFrame::OnMenuEvent( wxCommandEvent& event ){
+    #if 0
 	std::cout << "OnMenuEvent: "  << event.GetId() << std::endl;
+    #endif
 	if( event.GetId() == wxID_NEW ){	//GetFile Lenght, Save file as, Create file, Open file as RW
 		wxString lngt;
 		long unsigned int size=0;
--- a/Makefile
+++ b/Makefile
@@ -1,6 +1,6 @@
 WXCONFIG ?= wx-config
 HOST=
-WXCXXFLAGS= `$(WXCONFIG) --cxxflags` -MMD -fopenmp -Wall -O2 -DNDEBUG
+WXCXXFLAGS= `$(WXCONFIG) --cxxflags` -MMD -fopenmp -Wall
 WXLDFLAGS = -Wl,--as-needed `$(WXCONFIG) --libs` `$(WXCONFIG) --libs std,aui` `$(WXCONFIG) --libs core`
 WXCXXFLAGS += -fopenmp
 LDFLAGS += -lgomp
